import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: globalmarketPage
    tools: globalmarketTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "全球指数"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("ComboListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(globalmarketPage);
                varlistview.iListNum = 6;
                varlistview.iListRange = 102;
                varlistview.titlename = "全球指数";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

//    ComboListView {
//        id:comboListviewBackground
//        iListNum: 6
//        iListRange: 102
//        titlename: "全球指数"
//    }

    ToolBarLayout {
        id: globalmarketTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }
    }
}
