import QtQuick 1.1
import Line 1.0

Rectangle {
    id: gridcanvas

    property int grid_x
    property int grid_y
    property int gridwidth
    property int gridheight
    property int row: 5
    property int column: 5

    color: "transparent"
    x: grid_x
    y: grid_y
    width: gridwidth
    height: gridheight
    z: 1

    Line {
        x1: 0
        y1: gridheight/2
        x2: gridwidth
        y2: gridheight/2
        linecolor: "red"
    }

    Line {
        x1: 0
        y1: gridheight/2 - 1 * gridheight/(row - 1)
        x2: gridwidth
        y2: gridheight/2 - 1 * gridheight/(row - 1)
        linecolor: "red"
    }

    Line {
        x1: 0
        y1: gridheight/2 + 1 * gridheight/(row - 1)
        x2: gridwidth
        y2: gridheight/2 + 1 * gridheight/(row - 1)
        linecolor: "red"
    }

    Line {
        x1: 0
        y1: gridheight/2 - 2 * gridheight/(row - 1)
        x2: gridwidth
        y2: gridheight/2 - 2 * gridheight/(row - 1)
        linecolor: "red"
    }

    Line {
        x1: 0
        y1: gridheight/2 + 2 * gridheight/(row - 1)
        x2: gridwidth
        y2: gridheight/2 + 2 * gridheight/(row - 1)
        linecolor: "red"
    }

//    Line {
//        x1: 0
//        y1: gridheight/2 - 3 * gridheight/(row - 1)
//        x2: gridwidth
//        y2: gridheight/2 - 3 * gridheight/(row - 1)
//        linecolor: "red"
//    }

//    Line {
//        x1: 0
//        y1: gridheight/2 + 3 * gridheight/(row - 1)
//        x2: gridwidth
//        y2: gridheight/2 + 3 * gridheight/(row - 1)
//        linecolor: "red"
//    }

//    Line {
//        x1: 0
//        y1: gridheight/2 - 4 * gridheight/(row - 1)
//        x2: gridwidth
//        y2: gridheight/2 - 4 * gridheight/(row - 1)
//        linecolor: "red"
//    }

//    Line {
//        x1: 0
//        y1: gridheight/2 + 4 * gridheight/(row - 1)
//        x2: gridwidth
//        y2: gridheight/2 + 4 * gridheight/(row - 1)
//        linecolor: "red"
//    }

    Line {
        x1: gridwidth/2
        y1: 0
        x2: gridwidth/2
        y2: gridheight
        linecolor: "red"
    }

    Line {
        x1: gridwidth/2 - 1 * gridwidth/(column - 1)
        y1: 0
        x2: gridwidth/2 - 1 * gridwidth/(column - 1)
        y2: gridheight
        linecolor: "red"
    }

    Line {
        x1: gridwidth/2 + 1 * gridwidth/(column - 1)
        y1: 0
        x2: gridwidth/2 + 1 * gridwidth/(column - 1)
        y2: gridheight
        linecolor: "red"
    }

    Line {
        x1: gridwidth/2 - 2 * gridwidth/(column - 1)
        y1: 0
        x2: gridwidth/2 - 2 * gridwidth/(column - 1)
        y2: gridheight
        linecolor: "red"
    }

    Line {
        x1: gridwidth/2 + 2 * gridwidth/(column - 1)
        y1: 0
        x2: gridwidth/2 + 2 * gridwidth/(column - 1)
        y2: gridheight
        linecolor: "red"
    }

//    Line {
//        x1: gridwidth/2 - 3 * gridwidth/(column - 1)
//        y1: 0
//        x2: gridwidth/2 - 3 * gridwidth/(column - 1)
//        y2: gridheight
//        linecolor: "red"
//    }

//    Line {
//        x1: gridwidth/2 + 3 * gridwidth/(column - 1)
//        y1: 0
//        x2: gridwidth/2 + 3 * gridwidth/(column - 1)
//        y2: gridheight
//        linecolor: "red"
//    }

//    Line {
//        x1: gridwidth/2 - 4 * gridwidth/(column - 1)
//        y1: 0
//        x2: gridwidth/2 - 4 * gridwidth/(column - 1)
//        y2: gridheight
//        linecolor: "red"
//    }

//    Line {
//        x1: gridwidth/2 + 4 * gridwidth/(column - 1)
//        y1: 0
//        x2: gridwidth/2 + 4 * gridwidth/(column - 1)
//        y2: gridheight
//        linecolor: "red"
//    }
}
