import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: gwAboutPage
    tools:gwAboutTools
    orientationLock: PageOrientation.LockPortrait

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "关于大智慧"
        height: 60
        z:1
    }

    Rectangle {
        id: rectangleAbout
        anchors.top: gwTitleBar.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.right: parent.right
        anchors.rightMargin: 30
        anchors.bottom: parent.bottom
        color: "transparent"

        //contentWidth: 420
        //contentHeight: 600

        Image {
            id: copyrightImage
            anchors.top: parent.top
            anchors.left: parent.left
            width:420
            height: 600
            source: "images/copyright.png"
        }
    }

    ToolBarLayout {
        id: gwAboutTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                pageStack.pop()
                appWindow.exitpages()
            }
        }
    }
}
