import QtQuick 1.1

Grid{
    id: infoboard

    property int ib_x
    property int ib_y
    property int ibwidth
    property int ibheight
    property int rownum
    property int columnnum
    property alias infomodel: infoboardrepeater.model
    property bool boardvisible: true
    property int fontsize : 18

    x: ib_x
    y: ib_y
    z: 2
    width: ibwidth
    height: ibheight
    columns: columnnum
    rows: rownum
    visible: boardvisible

    Repeater {
        id : infoboardrepeater
        delegate: Component {
            Text {
                id: infotext
                x: 0
                y: 0
                width: model.modelData.infowidth - 1
                height: infoboard.height/rownum - 1
                textFormat: Text.PlainText
                //font.family: "Arail"
                font.pixelSize: fontsize
                horizontalAlignment: (model.modelData.boardtextalignment == 0) ? Text.AlignHCenter : ((model.modelData.boardtextalignment == 1) ? Text.AlignLeft : Text.AlignRight)
                verticalAlignment: Text.AlignVCenter
                text: model.modelData.info
                color: model.modelData.infocolor
            }
        }
    }
}
