import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: plateindexPage
    tools: plateindexTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "国内指数"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("ComboListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(plateindexPage);
                varlistview.iListNum = 9;
                varlistview.iListRange = 101;
                varlistview.titlename = "国内指数";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

//    ComboListView {
//        id:comboListviewBackground
//        iListNum: 9
//        iListRange: 101
//        titlename: "国内指数"
//    }

    ToolBarLayout {
        id: plateindexTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }
    }
}
