import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: quotationPage
    tools: quotationTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "涨跌排行"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("ComboListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(quotationPage);
                varlistview.iListNum = 5;
                varlistview.iListRange = 0;
                varlistview.titlename = "沪深A股";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            //console.log("!!!---GwTitleBar compeleted")
            loadListView()
        }

        Component.onDestruction: {
            //console.log("!!!---GwTitleBar onDestruction !!!!!")
        }
    }

//    ComboListView {
//        id:comboListviewBackground
//        iListNum: 5
//        iListRange: 0
//        titlename: "沪深A股"
//        Component.onCompleted: {
//            console.log("!!!---comboListviewBackground compeleted")
//        }
//        Component.onDestruction: {
//            console.log("!!!---comboListviewBackground onDestruction !!!!!")
//        }
//    }

//    Item {
//        id: container
//    }

    ToolBarLayout {
        id: quotationTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()                
            }
        }

        Component.onCompleted: {
            //console.log("!!!---quotationTools compeleted")
        }

        Component.onDestruction: {
            //console.log("!!!---quotationTools onDestruction !!!!!")
        }
    }

    Component.onCompleted: {
        //console.log("!!!---quotationPage compeleted")
    }

    Component.onDestruction: {
        //console.log("!!!---quotationPage onDestruction !!!!!")
    }
}
