import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: decisionsystemPage
    tools: decisionsystemTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "资金流向"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("DecisionSystemListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(decisionsystemPage);
                varlistview.ienum = 0
                varlistview.dsListNum = 30;
                varlistview.dsListRange = 0;
                varlistview.dstitlename = "沪深A股";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

//    DecisionSystemListView {
//        id:decisionSystemListviewBackground
//        ienum: 0
//        dsListNum: 30
//        dsListRange: 0
//        dstitlename: "沪深A股"
//    }

    ToolBarLayout {
        id: decisionsystemTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }
    }
}
