import QtQuick 1.1

Item {//Item Object
    id: gwTitleBar

    property alias titlebarName: gwTitleName.text
    property alias titlebackground: gwTitleContainer.color

    anchors.top: parent.top
    width: parent.width

    Rectangle {
        id:gwTitleContainer
        anchors.fill: parent
        color:"black"

        Text {
            id:gwTitleName
            anchors.centerIn: parent
            text: qsTr("Title")
            font.pixelSize: 25
            textFormat: Text.PlainText
            //font.family: "Arail"
            color: "white"
        }
    }

    Image {
        id: titlelogo
        x: parent.width * 1/16
        y: 2
        width: 55
        height: 55
        source: "images/logo02.png"
    }

    Rectangle {
        id:tempLine
        x: parent.width * 1/16
        y: parent.height - 1
        height:1// no line drawer
        width: parent.width * 14/16
        color: "#313131"
    }
}
