import QtQuick 1.1

Item {
    id: numbercolumn

    property alias model: columnrepeater.model
    property int column_x
    property int column_y
    property int columnwidth
    property int columnheight
    property int fontsize : 14

    x: column_x
    y: column_y
    width: columnwidth
    height: columnheight
    z: 2

    Component {
        id: columnDelegate

        Rectangle {
            x: model.modelData.columnx
            y: model.modelData.columny
            width: model.modelData.columnwidth
            height: model.modelData.columnheight
            color: "transparent"

            Text {
                font.pixelSize: fontsize
                textFormat: Text.PlainText
                //font.family: "Arail"
                width: model.modelData.columnwidth
                height: model.modelData.columnheight
                horizontalAlignment: Text.AlignLeft
                text: model.modelData.columntext
                color: model.modelData.columncolor
            }
        }

    }

    Column {
        spacing: 0
        Repeater {
            id: columnrepeater
            delegate: columnDelegate
        }
    }

}
