import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: phasestatisticsPage
    tools: phasestatisticsTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "阶段统计"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("DecisionSystemListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(phasestatisticsPage);
                varlistview.ienum = 1
                varlistview.dsListNum = 2;
                varlistview.dsListRange = 0;
                varlistview.pstitlename = "沪深A股";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

//    DecisionSystemListView {
//        id:decisionSystemListviewBackground
//        ienum: 1
//        dsListNum: 2
//        dsListRange: 0
//        pstitlename: "沪深A股"
//    }

    ToolBarLayout {
        id: phasestatisticsTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }
    }
}
