import QtQuick 1.1

Item {
    id: splashPage

    property string image: ""
    property int timeout: 1000
    property int fadeout: 600

    signal finished
    //signal destoryProgressBarFirst

    function activate() {
        spalshAnimation.start();
    }

    anchors.fill: parent

    Image {
        id: splash
        anchors.fill: parent
        fillMode: Image.PreserveAspectCrop
        source: splashPage.image
    }

    SequentialAnimation {
        id: spalshAnimation

        PauseAnimation {
            duration: splashPage.timeout
        }

        //ScriptAction {
        //    script: destoryProgressBarFirst();
        //}

        PropertyAnimation {
            target: splash
            properties: "opacity"
            duration: splashPage.fadeout
            to: 0
        }

        ScriptAction {
            script: finished();
        }
    }
}
